import { GraphClient } from "@atomist/automation-client";
import * as github from "@octokit/rest";
import { ScmProvider } from "../typings/types";
export declare function createOrgWebhook(org: string, provider: ScmProvider.ScmProvider, token: string, graphClient: GraphClient): Promise<void>;
export declare function createRepoWebhook(owner: string, repo: string, provider: ScmProvider.ScmProvider, token: string, graphClient: GraphClient): Promise<void>;
export declare function gitHub(token: string, provider: ScmProvider.ScmProvider): github;
export declare function isAuthError(error: any): boolean;
export declare function printError(error: any): string;
