import { GraphClient } from "@atomist/automation-client";
import { CreateWebhook, ScmProvider, ScmProviderStateName } from "../typings/types";
export declare function deleteWebhook(graphClient: GraphClient, id: string): Promise<void>;
export declare function createWebhook(graphClient: GraphClient, provider: ScmProvider.ScmProvider, tag: {
    name: string;
    value: string;
}): Promise<{
    webhook: CreateWebhook.CreateWebhook;
    secret: string;
}>;
export declare function addWebhookTag(graphClient: GraphClient, webhook: CreateWebhook.CreateWebhook, tag: {
    name: string;
    value: string;
}): Promise<void>;
export declare function setProviderState(graphClient: GraphClient, provider: ScmProvider.ScmProvider, state?: ScmProviderStateName, errors?: string[]): Promise<void>;
export declare function loadProvider(graphClient: GraphClient, id: string): Promise<ScmProvider.ScmProvider>;
