import { SoftwareDeliveryMachine } from "@atomist/sdm";
import { FeedEventReader, ScmFeedCriteria } from "./FeedEvent";
/**
 * Start watching this remote org
 * @param {ScmFeedCriteria} criteria
 * @return {Promise<void>}
 */
export declare function startWatching(criteria: ScmFeedCriteria, setup: {
    repositoryOwnerParentDirectory: string;
    interval?: number;
    feedEventReader: FeedEventReader;
}, sdm: SoftwareDeliveryMachine): void;
